## org.mortbay.jetty.webapp.management
Class WebAppContextMBean

    java.lang.Object
      org.mortbay.management.ObjectMBean
          org.mortbay.jetty.handler.management.ContextHandlerMBean
              org.mortbay.jetty.webapp.management.WebAppContextMBean

All Implemented Interfaces:
  DynamicMBean

    public class WebAppContextMBean

extends ContextHandlerMBean

Field Summary

Fields inherited from class org.mortbay.management.ObjectMBean
`_managed`

Constructor Summary
`WebAppContextMBean(Object managedObject)`

Method Summary
`String` `getObjectNameBasis()`

Methods inherited from class org.mortbay.jetty.handler.management.ContextHandlerMBean
`getContextAttributes, removeContextAttribute, setContextAttribute, setContextAttribute`

Methods inherited from class org.mortbay.management.ObjectMBean
`defineAttribute, getAttribute, getAttributes, getManagedObject, getMBeanContainer, getMBeanInfo, getObjectName, invoke, mbeanFor, setAttribute, setAttributes, setMBeanContainer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebAppContextMBean

    public WebAppContextMBean(Object managedObject)

Method Detail

### getObjectNameBasis

    public String getObjectNameBasis()

  Overrides:
    `getObjectNameBasis` in class `ContextHandlerMBean`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.